Subject: Meetings + Events Online Placement
From: "Merilee Kern" <[email-masked]>
To: "Ellen Schack" <[email-masked]>, "'Ed Schack'" <[email-masked]>, "Raoul Davis" <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>
Date: Wed, 30 Mar 2011 14:14:33 -0700

http://meetingsmags.com/blog/%5Buser-raw%5D/cowabunga-its-ice-cream-season

Cowabunga! It's Ice Cream Season
Submitted by Kate.Smith on Wed, 03/30/2011 - 3:03pm 
 
Isn't it funny how fast things can change? The most recent example: last week we were weathering a blizzard and now we're dusting off our flip-flops. All I can say is--I'm glad we're closer to summer than farther away, not the least of which because I've recently fallen in love with Cowabunga Ice Cream. 

The "designer" Cowabunga ice cream brand, which originated on the Jersey Shore, is known for its VIP Flavors (like Coffee Espresso, Almond Joy and Rice Krispy Treat) and has been called the "Louis Vuitton of ice cream."

The creamy treat is handmade with quality ingredients that definitely contribute to its rich flavors. I have to say for myself, it really is a delicious dessert (I'm a fan of the Red Velvet) and it's even healthy--Cowabunga's frozen yogurts contain probiotics.

Owners Ellen and Ed Schack created the ice cream with the "Cowabunga lifestyle" in mind, which Ellen describes as "living life to the fullest and in abundance until it overflows." Sounds like a great premise for your next event, right?

Cowabunga Ice Cream is now available for weddings and special events--shipping isn't a problem for the Schacks and ordering is available online. My tip: if you're organizing something a little extra-special, look to Cowabunga's Rodeo Drive or Hampton's Luxe lines.